Subject: Re: PATCH: arch/ppc/8xx_io_fec.c

From: Dan Malek <[email-masked]>
Date: Tue, 27 May 2003 15:33:52 -0400

Tom Rini wrote:

> Dan, do you see any problems with this?

Yes.  There are silicon revisions that require the FEC to
be enabled for the MDIO to operate.  I don't remember if it was
listed in errata or in some of the early supplements.  This code
change may work in this particular case, but I know it's required
for some parts.  I have not looked at the detail of the patch
and the code it moves to see if this is done elsewhere.

The code formatting looks like crap, so that needs to be fixed.

It would be nice to hear from other people that have recently made
changes for specific board/PHY combinations to see if this patch
affects them.

Thanks.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/